#include "token.h"
union {
  int semantic_value;
} yylval, yyval;

#include "lex.yy.c"

char output1[100][20]={"EOFtoken", "SEMItoken", "COLONtoken", "COMMAtoken",
     "DOTtoken", "LPARENtoken", "RPARENtoken", "LTtoken", 
     "GTtoken", "EQtoken", "MINUStoken",
     "PLUStoken", "TIMEStoken", "DOTDOTtoken", 
     "COLEQtoken", "LEtoken", "GEtoken", "NEtoken",
     "IDtoken", "ICONSTtoken", "CCONSTtoken", 
     "SCONSTtoken", "ANDtoken", "ARRAYtoken",
     "BEGINtoken", "CONSTtoken", "DIVIDEtoken",
     "DOWNTOtoken", "ELSEtoken",
     "ELSIFtoken", "ENDtoken", "ENDIFtoken", 
     "ENDLOOPtoken", "ENDRECtoken",
     "EXITtoken", "FORtoken", "FORWARDtoken", 
     "FUNCTIONtoken", "IFtoken", "IStoken",
     "LOOPtoken", "NOTtoken", "OFtoken", 
     "ORtoken", "PROCEDUREtoken", "PROGRAMtoken",
     "RECORDtoken", "REPEATtoken", "RETURNtoken", 
     "THENtoken", "TOtoken", "TYPEtoken",
     "UNTILtoken", "VARtoken", "WHILEtoken"};

main()
{

    int i;
    while ((i=yylex())!=EOFnumber) {
        switch(i) {
	case IDnumber :
            printf("%14s     yylval.semantic_value=%d     iden=%s\n", 
                   output1[i-100],yylval.semantic_value,string_buff+yylval.semantic_value);
            break;
	case SCONSTnumber:
            printf("%14s     yylval.semantic_value=%d     string='%s'\n", 
                   output1[i-100],yylval.semantic_value,string_buff+yylval.semantic_value);
            break;
	  case ICONSTnumber :
            printf("%14s     yylval.semantic_value=%d\n",output1[i-100],yylval.semantic_value);
            break;
	  case CCONSTnumber :
            printf("%14s     yylval.semantic_value=", output1[i-100]);
            switch(yylval.semantic_value) {
	    case '\n' : printf("%s\n", "'\\n'"); break;
	    case '\t' : printf("%s\n", "'\\t'"); break;
            case '\\' : printf("%s\n", "'\\\\'"); break;
            case '\'' : printf("%s\n", "'\\''"); break;
            default : printf("'%c'\n",  yylval.semantic_value); 
	    }
            break;
          default :
            printf("%14s\n",output1[i-100]);
	  }
            
      }
      printf("%14s\n","EOFtoken");
  }
